Resume a Webhook Endpoint
Enable temporarily disabled webhook connection.
webhook_id
string
Required. The unique identifier of the webhook endpoint to resume
NOT_FOUND
This error occurs when the webhook endpoint with the provided ID could not be found. Double check that you're using the correct webhook ID.
UNHANDLED_ERROR
This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.
INVALID_ARGUMENTS
This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.
BAD_VERSION
This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.
curl "https://api.reservepay.com/merchants/resume-webhook" \
-X POST
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
-d '{
"webhook_id": "whe_eJF6e521es"
}'
